<?php
session_start();
$currUser = "";
if (isset($_SESSION["currUser"])) $currUser = $_SESSION["currUser"];
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="author"              content="Howard Griffin">
<meta name="viewport"            content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"           type="text/css"     href="hgg_style.css">
<title>Manage People</title>
</head>

<?php
//-----------------------------------------------------------------------------
// version 1   Working at Potomac CC
// version 2   PCC specific code removed, upgraded SQL & php code, misc. enhancements
// version 3.0 April, 2016, additional enhancements, tracking of IP address, MySQL table changes
//-----------------------------------------------------------------------------
include("db_connect.php");
include("set_timezone.php");
$link = connectToMysqli();
include_once("data_valid_fns.php");

if ($currUser == '') {   // not logged in means no access
	print "<p class=pcc3>Sorry, you are not authorized (not logged in) for this function.<p>";
	print "<a href=\"login.php\">return to the login page</a>";
	print "<p><a href=\"reservations.php\">or go back to the start page</a>";
	print "<p><a href='/'>or go back to the home page</a>";
	exit();	// go directly to jail, do not pass go, do not collect $200
	}

//-------------------------------------------------------------------------------
// general variables
//-------------------------------------------------------------------------------
$j = $i[0]=$i[1]=$i[2]=$i[3]=$i[4]=$i[5]=$i[6]=$i[7]=$i[8]="";
$task = "";
$return_message = "";
$qemail = "";		// q, a, u, are query, add, update
$aemail = "";
$uemail = "";
$qfname = "";
$afname = "";
$ufname = "";
$qlname = "";
$alname = "";
$ulname = "";
$qmember = "";
$amember = "";
$umember = "";
$curlerID = "";
$ucurlerID = "";

//-------------------------------------------------------------------------------
// validate and assign arguments
//-------------------------------------------------------------------------------
if (isset($_POST["task"])) {
	if (good_text($_POST["task"])) $task = $_POST["task"];
	}
if (isset($_POST["qemail"])) {
	if (good_text($_POST["qemail"])) $qemail = $_POST["qemail"];
	}
if (isset($_POST["aemail"])) {
	if (good_text($_POST["aemail"])) $aemail = $_POST["aemail"];
	}
if (isset($_POST["uemail"])) {
	if (good_text($_POST["uemail"])) $uemail = $_POST["uemail"];
	}
if (isset($_POST["qfname"])) {
	if (good_name($_POST["qfname"])) $qfname = $_POST["qfname"];
	}
if (isset($_POST["afname"])) {
	if (good_name($_POST["afname"])) $afname = $_POST["afname"];
	}
if (isset($_POST["ufname"])) {
	if (good_name($_POST["ufname"])) $ufname = $_POST["ufname"];
	}
if (isset($_POST["qlname"])) {
	if (good_name($_POST["qlname"])) $qlname = $_POST["qlname"];
	}
if (isset($_POST["alname"])) {
	if (good_name($_POST["alname"])) $alname = $_POST["alname"];
	}
if (isset($_POST["ulname"])) {
	if (good_name($_POST["ulname"])) $ulname = $_POST["ulname"];
	}
if (isset($_POST["qmember"])) {
	if (good_digits($_POST["qmember"])) $qmember = $_POST["qmember"];
	}
if (isset($_POST["amember"])) {
	if (good_digits($_POST["amember"])) $amember = $_POST["amember"];
	}
if (isset($_POST["umember"])) {
	if (good_digits($_POST["umember"])) $umember = $_POST["umember"];
	}
if (isset($_POST["curlerID"])) {
	if (good_digits($_POST["curlerID"])) $curlerID = $_POST["curlerID"];
	}
if (isset($_POST["ucurlerID"])) {
	if (good_digits($_POST["ucurlerID"])) $ucurlerID = $_POST["ucurlerID"];
	}

$doNotDelete = 0;
$deleteMsg    = "";
$deleteMsgTop = "<table class=\"alertBox\"><tr><td>";
$deleteMsgBot = "</td></tr></table>";

if ($task=='update') {
	//----------------------------------------------------------
	// If ALL entries are null, consider it a candidate for a delete
	//----------------------------------------------------------
	if (($ufname=="") AND ($ulname=="") AND ($uemail=="") AND ($umember=="")) {
	$deleteMsg = "You tried a delete for curlerID = $ucurlerID";
	$query =  "SELECT curlerID, fname, lname, email, member  FROM curlers ";
	$query .= "WHERE curlerID = $ucurlerID ";
	$result = mysqli_query($link,$query);
	$i = mysqli_fetch_row($result);
	$ln    = $i[2];
	$fn    = $i[1];
	$em    = $i[3];
	$me    = $i[4];
	$deleteMsg .= " $fn $ln $em $me";

	// the original manageCurlers has lots of edits here to make sure that
	// nobody gets deleted if they have ever done anything, such as a
	// bonspiel, volunteer, LTC, drop-in, etc. Only completely null
	// entries may be deleted. Hopefully forcing referential integrety.
	// un-comment the following if you use any of these event types.

	//  Did they make a reservation for an event sometime?
	$query = "SELECT * FROM reserve_names WHERE curlerID='$ucurlerID' ";
	$result = mysqli_query($link,$query);
	$numRows = mysqli_num_rows($result);
	if ($numRows > 0) {
		$deleteMsg .= "<br>That curler is in at least $numRows sign-up events";
		$doNotDelete = 1;
		}

	//  Are they volunteers?
	//$query  = "SELECT * FROM `vol_people` WHERE curlerID = $ucurlerID";
	//$result = mysqli_query($link,$query);
	//$numRows = mysqli_num_rows($result);
	//if ($numRows > 0) {
	//	$deleteMsg .= "<br>That curler is in at least $numRows volunteer events";
	//	$doNotDelete = 1;
	//	}

	//  Are they in a bonspiel type event?
	//$query  = "SELECT * FROM `teams` WHERE ";
	//$query .= " skip = $ucurlerID  OR ";
	//$query .= " vice = $ucurlerID  OR ";
	//$query .= " second = $ucurlerID  OR ";
	//$query .= " lead = $ucurlerID  OR ";
	//$query .= " alternate = $ucurlerID  OR ";
	//$query .= " coach = $ucurlerID ";
	//$result = mysqli_query($link,$query);
	//$numRows = mysqli_num_rows($result);
	//if ($numRows > 0) {
	//	$deleteMsg .= "<br>That curler is in at least $numRows bonspiel type of events";
	//	$doNotDelete = 1;
	//	}

	//  It appears to be a stand-alone entry, so go ahead and try the delete
	if (!$doNotDelete) {
		$query = "DELETE FROM curlers WHERE curlerID = $ucurlerID";
		$result = mysqli_query($link,$query);
		if (!$result) $deleteMsg .= "<br>The delete seems to have failed";
		else $deleteMsg .= "<br>The delete seems to have been successful";
		}
	}	// end of if they are all null fields implying a delete effort

else {
	//----------------------------------------------------------
	// else it is NOT a delete, so update the curlers table with new values
	//----------------------------------------------------------
	$ufname = addslashes(stripslashes($ufname));
	$ulname = addslashes(stripslashes($ulname));
	$query = "UPDATE curlers SET fname='$ufname', lname='$ulname', email='$uemail', member='$umember' WHERE curlerID='$ucurlerID'";
	$result = mysqli_query($link,$query);
	if (!$result==1) print "oops, something seems to have gone wrong with the update." ;
	$qfname=$ufname;
	$qlname=$ulname;
	}	// end of else
	}	// end of task == update


if ($task=='add') {
	//----------------------------------------------------------
	// Add a new curler to the curlers table
	//----------------------------------------------------------
	$afname = addslashes(stripslashes($afname));
	$alname = addslashes(stripslashes($alname));
	$query = "INSERT INTO curlers (fname, lname, email, member) values ('$afname','$alname','$aemail','$amember')";
	$result = mysqli_query($link,$query);
	if (!$result==1) print "oops, something seems to have gone wrong with the add.";
	$qfname=$afname;
	$qlname=$alname;
	}

//----------------------------------------------------------
// If not update or add or delete, then it must be just a query.
// That situation is handled in the body of the html page
//----------------------------------------------------------
?>


<body>
<?php
include("masthead.php");
include("logoutButton.php");

//----------------------------------------------------------
// Present a form, choose (fn/ln) of curlers you want to see
//----------------------------------------------------------
$qfname = stripslashes($qfname);
$qlname = stripslashes($qlname);
print "<p style=\"text-align:center;\">Enter the first few characters of any one or more of the following fields<br>";
print "Blanks are acceptable</p>";
print "<form name=queryCurlers action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
$task="query";
print "<input type='hidden' name=task value='$task'>";
print "  <table class=\"centerWithBorder\">";
print "    <tr>";
print "        <td style=\"font-weight:bold;\">First Name</td>";
print "        <td style=\"font-weight:bold;\">Last Name</td>";
print "        <td style=\"font-weight:bold;\">Email</td>";
print "    </tr>";
print "    <tr>";
print "        <td><input type=text name=qfname    value=\"$qfname\"    size='20' maxlength='25'></td>";
print "		   <td><input type=text name=qlname    value=\"$qlname\"    size='20' maxlength='35'></td>";
print "        <td><input type=text name=qemail    value=\"$qemail\"    size='40' maxlength='80'></td>";
print "    </tr>";
print "    <tr>";
print "        <td colspan='4' align='center'>";
print "          <input type='submit' value='Find Curlers' onClick=\"submit()\">";
print "        </td>";
print "    </tr>";
print "  </table>";
print "</form>";

if ($deleteMsg != "") print "<br>$deleteMsgTop $deleteMsg $deleteMsgBot";

//----------------------------------------------------------
// Query the curlers table if you have input to process
//----------------------------------------------------------
if (!$qfname=="" or !$qlname=="" or !$qemail==""  ) {
$qfname = addslashes(stripslashes($qfname));
$qlname = addslashes(stripslashes($qlname));
$query =          "SELECT curlerID, fname, lname, email, member  FROM curlers ";
$query = $query . "WHERE fname LIKE '$qfname%' AND lname LIKE '$qlname%' AND email LIKE '$qemail%'  ";
$query = $query . "ORDER BY lname, fname  ";
$result = mysqli_query($link,$query);
$numCurlersFound = mysqli_num_rows($result);


//----------------------------------------------------------
// print the results table header
//----------------------------------------------------------
print "<br><p style=\"text-align:center\">If all fields are blank in any row below, then it is a delete.";
print "<br>That is probably <strong>NOT</strong> a good idea.</p>";

print "<table class=\"centerWithBorder\">";
if ($numCurlersFound==0) {
  print "<tr><td colspan=6 style=\"text-align:center;color:red;font-weight:bold\">Sorry, no curler(s) found</td></tr>";
}
if ($numCurlersFound > 0) {	// print the table headers ONLY IF your find somebody
  print "<tr><td colspan=6 style=\"text-align:center;font-weight:bold\">$numCurlersFound curler(s) found</td></tr>";
  print "  <tr>";
  print "    <td style=\"font-weight:bold;\">ID</b></td>";
  print "    <td style=\"font-weight:bold;\">First Name</td>";
  print "    <td style=\"font-weight:bold;\">Last Name</td>";
  print "    <td style=\"font-weight:bold;\">Email Address</td>";
  print "    <td style=\"font-weight:bold;\">member<br>0 or 1</td>";
  print "    <td> &nbsp; </td>";
  print "  </tr>";
}


//----------------------------------------------------------
// loop through curlers found then print
//----------------------------------------------------------
while ($i = mysqli_fetch_row($result)) {
	$curlerID = $i[0];
	$fname    = $i[1];
	$lname    = $i[2];
	$email    = $i[3];
	$member   = $i[4];

	print "<form name=updt" . $curlerID . " action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
	$task="update";
	print "<input type='hidden' name=task value='$task'>";
	print "<tr>";
	print "<td>$curlerID</td>";
	print "<td><input type=text name=ufname value=\"$fname\" size='20' maxlength='25'></td>";
	print "<td><input type=text name=ulname value=\"$lname\" size='20' maxlength='35'></td>";
	print "<td><input type=text name=uemail value=\"$email\" size='40' maxlength='90'></td>";
	print "<td><input type=text name=umember value=\"$member\" size='1' maxlength='1'></td>";
	print "<td><input type='submit' value='Update'></td>";
	print "<input type=hidden name=ucurlerID value=\"$curlerID\" size='5' maxlength='5'>";
	print "</tr>";
	print "</form>";
	}

//----------------------------------------------------------
// curlers all displayed, now add a new one
//----------------------------------------------------------
  print "<tr><td colspan=6> &nbsp; </td></tr>";	// blank line
  print "<tr><td colspan=6 style=\"text-align:center;font-weight:bold\">Add a NEW curler</td></tr>";
  print "  <tr>";
  print "    <td>ID</td>";	// for the curlerID column
  print "    <td style=\"font-weight:bold\">First Name</td>";
  print "    <td style=\"font-weight:bold\">Last Name</td>";
  print "    <td style=\"font-weight:bold\">Email Address</td>";
  print "    <td style=\"font-weight:bold\">member<br>0 or 1</td>";
  print "    <td> &nbsp;</td>";
  print "  </tr>";

  print "<form name=add1 action=\"$_SERVER[PHP_SELF]\" method=\"POST\">";
  $task="add";
  print "<input type='hidden' name=task value='$task'>";
  print "<tr>";
  print "<td></td>";
  print "<td><input type=text name=afname  size='20' maxlength='25'></td>";
  print "<td><input type=text name=alname  size='20' maxlength='35'></td>";
  print "<td><input type=text name=aemail  size='40' maxlength='90'></td>";
  print "<td><input type=text name=amember size='1' maxlength='1'></td>";
  print "<td><input type='submit' value='AddMe'></td>";
  print "</tr>";
  print "</form>";


}	// Ending for the ... Query the curlers table if you have input to process
print "</table>";

?>

</body>
</html>
