<?php
session_start();
$currUser = "";
if (isset($_SESSION["currUser"])) $currUser = $_SESSION["currUser"];
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="author"              content="Howard Griffin">
<meta name="viewport"            content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"           type="text/css"     href="hgg_style.css">
<title>Members bulk update</title>
</head>

<?php
//-----------------------------------------------------------------------------
// version 1   Working at Potomac CC
// version 2   PCC specific code removed, upgraded SQL & php code, misc. enhancements
// version 3.0 April, 2016, additional enhancements, tracking of IP address, MySQL table changes
//-----------------------------------------------------------------------------
include("db_connect.php");
include("set_timezone.php");
$link = connectToMysqli();
include_once("data_valid_fns.php");

if ($currUser == '') {   // not logged in means no access
	print "<p class=pcc3>Sorry, you are not authorized (not logged in) for this function.<p>";
	print "<a href=\"login.php\">return to the login page</a>";
	print "<p><a href=\"reservations.php\">or go back to the start page</a>";
	print "<p><a href='/'>or go back to the home page</a>";
	exit();	// go directly to jail, do not pass go, do not collect $200
	}

function updtLife($fn,$ln,$link) {
	$query3 = "UPDATE curlers SET member='1' WHERE fname='$fn' AND lname='$ln'";
	$result3 = mysqli_query($link,$query3);
	$howManyRows = mysqli_affected_rows($link);
	if ( $howManyRows == 0 ) print "<br>$fn $ln <strong>failed to update</strong>";
	if ( $howManyRows != 0 ) print "<br>$fn $ln successfully updated $howManyRows row(s)";
	}

//-------------------------------------------------------------------------------
// general variables
//-------------------------------------------------------------------------------
$DEBUG = 0;
$k = $j[0]=$j[1]=$j[2]=$j[3]=$j[4]=$j[5]=$j[6]=$j[7]=$j[8]="";

$inputList = "";
$submitStatus = 0;
if (isset($_POST["inputList"])) 	$inputList		= $_POST["inputList"];
if (isset($_POST["submitStatus"]))	$submitStatus	= $_POST["submitStatus"];

print "<body>";echo PHP_EOL;
include("masthead.php");
include("logoutButton.php");
?>

<blockquote>
<p class="pcc3center">Update Member Status in Curlers Table</p>
<p class="pcc3center">Update only, NO ADDITIONS to curlers table!
It causes too many duplicates.</p>

<?php
if ($submitStatus == 0) {
	print "<p>To delete the member status of all members, login to phpmyadmin and ...";
	print "<pre>UPDATE curlers SET member = \"0\" WHERE member = \"1\";</pre>";
	print "After all the updates are done, scan through the manage members list<br>";
	print "and check for duplicates, e.g. Jeff and Jeffrey whazzisname.</p>";
	}

///////////////////////////////////////////////////////////////////////////////
//	Part 1 - Present a form for population
///////////////////////////////////////////////////////////////////////////////
if ($submitStatus == 0) {
	print "<form name=zapcurlers action= \"$_SERVER[PHP_SELF]\" method=\"POST\">" ;

	print "<input type='hidden' name='submitStatus' value='1'>";
	print "Add fname, lname, email address, one per line, comma separated<br>";
	print "<textarea name='inputList' cols='70', rows='15' wrap='hard'>";
	print "</textarea><br>";

	print "<input type='submit' name='submitForm' value='Update Curlers'> ";
	print "<input type='reset'  value='Start Over'> ";

	print "</form>";
	}

///////////////////////////////////////////////////////////////////////////////
//	Part 2 - Read the text area, update tables if appropriate
//	reading and splitting rows of input:
//	http://www.webmasterworld.com/forum88/13144.htm
///////////////////////////////////////////////////////////////////////////////
if ($submitStatus == 1) {
print "If names are listed here, the update did <b>NOT</b> work<br><br>";
print "<b>fname,lname,email,reason_for_failure_to_update</b><br>";
$lines = explode("\r\n",$inputList);	//	read $inputList, split into lines
$numLines = count($lines);

for($i=0;$i<$numLines;$i++) {			//	break out the three input values in each line
	if ( $lines[$i] == "" ) continue;	// skips blank lines
	$curlers = explode(",",$lines[$i]);
	//$input_fname = trim($curlers[0]);
	//$input_lname = trim($curlers[1]);
	$input_fname = addslashes(trim($curlers[0]));
	$input_lname = addslashes(trim($curlers[1]));
	$input_email = trim($curlers[2]);
	if ($input_email == "") $input_email = "t.b.d.";

	if (($input_fname != "") AND ($input_lname != "")) {	// skips blank lines in the input list
		$query  = "SELECT curlerID, fname, lname, email, member  FROM curlers ";
		$query .= " WHERE fname LIKE '$input_fname%' AND lname LIKE '$input_lname%' AND email LIKE '$input_email%'  ";
		$result = mysqli_query($link,$query);
		$numCurlersFound = mysqli_num_rows($result);
		if ($DEBUG) print "<br>numCurlersFound: $numCurlersFound<br>";
		}
	else $numCurlersFound = "-1";	// so you skip the rest of the updates or adds

	//----------------------------------------------------------
	// Update the curlers table, if the curler is found and not already a member
	//----------------------------------------------------------
	if ($numCurlersFound == 1)	{
		$j = mysqli_fetch_row($result);
		$curlerID = $j[0];
		$member   = $j[4];
		if ($DEBUG)	print "$input_fname,$input_lname,$input_email,$member,to_be_changed_to_1<br>";

		if ($member == 0) {	// not a member, so make them a member
			$member = 1;
			$query2 = "UPDATE curlers SET member='$member' WHERE curlerID='$curlerID'";
			$result2 = mysqli_query($link,$query2);
			if (!$result2) print "oops, something seems to have gone wrong with the update." ;
			if ($DEBUG) print "$input_fname,$input_lname,$input_email,$member,was_changed<br>";
		}
	}

	//----------------------------------------------------------
	// ($numCurlersFound == 0)
	// Add a new curler to the curlers table - NO, causes too many duplicates
	//----------------------------------------------------------
	if ($numCurlersFound == 0)	{	// candidate for an add
	print "$input_fname,$input_lname,$input_email,no curler found to update<br>";
	}

	//----------------------------------------------------------
	// Found multiple curlers matching the update criteria - manual effort
	//----------------------------------------------------------
	if ($numCurlersFound > 1)	{
		$input_lname = stripslashes($input_lname);	// in case lname has an apostrophe
		$input_fname = stripslashes($input_fname);	// in case fname has an apostrophe
		$input_email = stripslashes($input_email);
		print "$input_fname,$input_lname,$input_email,multiple_curlers_found<br>";
	}

}	// end of the loop through the input lines

	//----------------------------------------------------------
	// Now make sure we did not hose up the permanent members
	// The $link must be passed to the function else the query fails
	// because it cannot find $link inside the function.
	// the updtLife function sets the member status to "1" if it can find the people
	//----------------------------------------------------------
	//print "<br>Now updating <strong>permanent (a.k.a. life) members</strong><br>";
	//print "More may need to be added to the code";

	//updtLife("Howard","Griffin",$link);
	//updtLife("Bugs","Bunny",$link);
	//updtLife("Barney","Rubble",$link);


print "<p> &nbsp; </p><p>After all the updates are done, scan through the manage members list<br>";
print "and check for duplicates, e.g. Jeff and Jeffrey Whazzisname.</p>";
print "<p>The End</p>";

}	// end of the if submitStatus check for Part 2

?>
</blockquote>
</body>
</html>
