<?php
session_start();
$currUser = "";
if (isset($_SESSION["currUser"])) $currUser = $_SESSION["currUser"];
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="author"              content="Howard Griffin">
<meta name="viewport"            content="width=device-width, initial-scale=1.0">
<link rel="stylesheet"           type="text/css"     href="hgg_style.css">
<title>Reservation Sign-in Sheet</title>
</head>

<?php
//-----------------------------------------------------------------------------
// version 1   Working at Potomac CC
// version 2   PCC specific code removed, upgraded SQL & php code, misc. enhancements
// version 3.0 April, 2016, additional enhancements, tracking of IP address, MySQL table changes
//-----------------------------------------------------------------------------
include("db_connect.php");
include("set_timezone.php");
$link = connectToMysqli();
include_once("data_valid_fns.php");

//-----------------------------------------------------------------------------
// I end up testing often enough that it is worth while just to use
// variables for table names, makes test tables easier to manage
//-----------------------------------------------------------------------------
//$reserve_events_table = "reserve_events";
//$reserve_names_table  = "reserve_names";
//$curlers_table        = "curlers";


//-----------------------------------------------------------------------------
// assign general variables etc.
//-----------------------------------------------------------------------------
$what_event		= "";
$return_message = "";
$today          = date("m/d/Y H:i");
$zero_date      = "0000-00-00 00:00:00";
$curlerID		= "";
$rn_reserved_when = "";
$rn_cancel_when	= "";
$name			= "";
$fname			= "";
$lname			= "";
$member			= "";
$j = $i[0]=$i[1]=$i[2]=$i[3]=$i[4]=$i[5]=$i[6]=$i[7]=$i[8]="";


//-------------------------------------------------------------------------------
// validate and assign arguments
// Edits are in:  data_valid_fns.php which must be included
//-------------------------------------------------------------------------------
if (isset($_GET["what_event"])) {
	if (good_digits($_GET["what_event"])) $what_event = $_GET["what_event"];
	}

//-----------------------------------------------------------------------------
// If the $what_event variable is not assigned, there is no use continuing...
//-----------------------------------------------------------------------------
if ( (!isset($what_event)) || ($what_event=="") )die("<h2>Could
	not determine which event to use.</h2>");


//-----------------------------------------------------------------------------
// Figure out the event metrics based on re_ID (what_event) if it exists
//-----------------------------------------------------------------------------
	$querya  = "SELECT * FROM reserve_events WHERE re_ID=$what_event";
	$resulta = mysqli_query($link,$querya);
	$number  = mysqli_num_rows($resulta);
	if ($number>0) {
		$i = mysqli_fetch_row($resulta);
		$re_ID              = $i[0];
		$re_description     = $i[1];
		$re_start           = $i[2];
		$re_member_openings = $i[3];
		$re_guest_openings  = $i[4];
		$re_member_stdby	= $i[5];
		$re_guest_stdby		= $i[6];
		$re_total_openings	= $re_member_openings + $re_guest_openings + $re_member_stdby + $re_guest_stdby;
		}
	else die("<h2>illegal, immoral, or fattening event specified!<br>Have you been messing
		with the url?  Naughty Naughty...</h2>");

print "<body>";

//-----------------------------------------------------------------------------
// print PAGE headers for the SIGN_IN sheet,
//-----------------------------------------------------------------------------
include("masthead.php");
print "<p class=\"pcc3center\">$re_description</p>";
$tempDate = new DateTime($re_start);
$display_date = $tempDate->format("Y-m-d g:i a (l)");

print "<p style=\"text-align:center;margin-bottom:0px;\">Sign-in Sheet for: $display_date</p>";

//-----------------------------------------------------------------------------
//	Select the information for all of the curlers in this event, members and guests
//-----------------------------------------------------------------------------
$query  = "SELECT * FROM reserve_names WHERE re_ID=$what_event AND rn_cancel_when='$zero_date' ";
$query .= "  ORDER BY rn_reserved_when";
$result = mysqli_query($link,$query);
$numcurlers = mysqli_num_rows($result);

print "<table class=\"centerWithBorder\">";

//-----------------------------------------------------------------------------
// Display the headers for members
//-----------------------------------------------------------------------------
print "  <tr>";
print "    <td colspan='5'>";
print "        <strong>Members</strong> (  $re_member_openings  openings ) ";
print "    </td>";
print "  </tr>";
print "  <tr>";
print "    <td style=\"width:25px;\"> &nbsp; </td>";
print "    <td> attended? </td>";
print "    <td style=\"width:150px;\"><strong>Name</strong></td>";
print "    <td>Experience?</td>";
print "    <td style=\"width:250px;\">Requests?</td>";
print "  </tr>";
if ($numcurlers==0) print "<tr><td colspan='5' class=\"tdcenter\">No registrations yet.</td></tr>";

$showCount = 0;
$printedStdbyLine = 0;
$setBgc = "";
while ($i = mysqli_fetch_row($result)) {
	//---------------------------------------------------------------------------
	// Get information for the current reservation
	//---------------------------------------------------------------------------
	$curlerID         = $i[1];
	$rn_reserved_when = $i[2];
	$rn_cancel_when   = $i[3];

	//---------------------------------------------------------------------------
	// Get the names for the curler
	//---------------------------------------------------------------------------
	$query2      = "SELECT member, fname, lname, ";
	$query2		.= "  CONCAT(fname,\" \",lname) AS name FROM curlers ";
	$query2     .= "  WHERE curlerID=$curlerID";
	$result2     = mysqli_query($link,$query2);
	$j = mysqli_fetch_row($result2);
	$curlerName  = $j[3];
	$member      = $j[0];

	//---------------------------------------------------------------------------
	// Now, print information for the current registered members
	//---------------------------------------------------------------------------

	if ($member == 1) {	// 1 for members, 0 for guests
		$showCount = $showCount+1;
		if ( ($showCount > $re_member_openings) AND ($printedStdbyLine == 0) ){ // deliniate confirmed from standby
			$setBgc = "style=\"background-color:#ffff88;\" ";
			print "<tr><td colspan='5' $setBgc> The following members are on standby </td></tr>";
			$printedStdbyLine = 1;
			}
		print "<tr>";
		print "  <td>$showCount</td>";
		print "  <td> &nbsp; </td>";
		print "  <td $setBgc >$curlerName</td>";
		print "  <td></td>";
		print "  <td></td>";
		print "</tr>";
		}	// end of members
	}	// end of members and members standby listing


print "<tr><td colspan='5' > &nbsp; </td></tr>";	// blank line

//-----------------------------------------------------------------------------
// queriess must be re-run as mysqli will not let you cycle through a results
// set twice using the "while" option, or at least I have not figured it out yet.
//-----------------------------------------------------------------------------
$result = mysqli_query($link,$query);
$numcurlers = mysqli_num_rows($result);

//-----------------------------------------------------------------------------
// Display the headers for guests
//-----------------------------------------------------------------------------
print "  <tr>";
print "    <td colspan='5'>";
print "        <strong>Guests</strong> (  $re_guest_openings  openings ) ";
print "    </td>";
print "  </tr>";
print "  <tr>";
print "    <td> &nbsp; </td>";
print "    <td> attended? </td>";
print "    <td><strong>Name</strong></td>";
print "    <td>Experience?</td>";
print "    <td>Requests?</td>";
print "  </tr>";

$showCount = 0;
$printedStdbyLine = 0;
$setBgc = "";
while ($i = mysqli_fetch_row($result)) {
	$result2     = mysqli_query($link,$query2);
	$j = mysqli_fetch_row($result2);
	$curlerName  = $j[3];
	$member      = $j[0];

	//---------------------------------------------------------------------------
	// Get information for the current guest reservation
	//---------------------------------------------------------------------------
	$curlerID         = $i[1];
	$rn_reserved_when = $i[2];
	$rn_cancel_when   = $i[3];

	//---------------------------------------------------------------------------
	// Get the names for the guest
	//---------------------------------------------------------------------------
	$query2      = "SELECT member, fname, lname, ";
	$query2		.= "  CONCAT(fname,\" \",lname) AS name FROM curlers ";
	$query2     .= "  WHERE curlerID=$curlerID";
	$result2     = mysqli_query($link,$query2);
	$j = mysqli_fetch_row($result2);
	$curlerName  = $j[3];
	$member      = $j[0];

	//---------------------------------------------------------------------------
	// Now, print information for the current registered guests
	//---------------------------------------------------------------------------
	$setBgc = "";
	if ($member == 0) {	// 1 for members, 0 for guests
		$showCount = $showCount+1;
		if ( ($showCount > $re_guest_openings) AND ($printedStdbyLine == 0) ) { // deliniate confirmed from standby
			$setBgc = "style=\"background-color:#ffff88;\" ";
			print "<tr><td colspan='5' $setBgc> The following guests are on standby </td></tr>";
			$printedStdbyLine = 1;
			}
		print "<tr>";
		print "  <td>$showCount</td>";
		print "  <td> &nbsp; </td>";
		print "  <td $setBgc>$curlerName</td>";
		print "  <td></td>";
		print "  <td></td>";
		print "</tr>";
		}	// end of guests
	}	// end of guests and guests standby listing

// you know people will show up without registering don't you?
print "<tr><td colspan='5'> &nbsp; </td></tr>";	// blank line
print "<tr><td colspan='5'><strong>Non registered walk-in curlers</strong></td></tr>";

print "<tr><td></td><td colspan='2'><strong>Name</strong></td><td>Experience</td><td>Requests?</td></tr>";

for ($j=0; $j<10; $j++) {
	$k=$j+1;
	print "<tr><td>$k</td><td colspan='2'> &nbsp; </td><td> &nbsp; </td><td> &nbsp; </td></tr>";
	}
print "</table>";

?>

</body>
</html>
